%define name cman-kernel
%define version 2.6.9
%define pre 31
%define rkernel %(/bin/bash ~/rpm/SOURCES/get_version.sh)

%define release 2mdk

Summary: Cman-kernel: The Cluster Manager kernel modules
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}-%pre.tar.bz2
Source1: get_version.sh
Patch0: configure_kernel.patch
License: GPL
Group: System
#Url: 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires: kernel-source

%description
The cman kernel headers are used by various cluster packages.

%package -n %name-%{rkernel}
Summary: Cman-kernel: The Cluster Manager kernel modules
requires: kernel
Group: System/Kernel and Hardware

%description -n %name-%{rkernel}
cman-kernel - The Cluster Manager kernel modules

%prep
%setup -q -n %{name}-%{version}-%pre
%patch -p0

%build
./configure --incdir=%{_includedir} \
	--kernel_src=/usr/src/linux \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--sbindir=%{_sbindir} \
	--module_dir=/lib/modules/%{rkernel}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT

%post -n %name-%{rkernel}
depmod -a -F /boot/System.map-%{rkernel} %{rkernel}

%postun -n %name-%{rkernel}
depmod -a -F /boot/System.map-%{rkernel} %{rkernel}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc
%{_includedir}/cluster

%files -n %name-%{rkernel}
/lib/modules/*

%changelog
* Mon Apr 11 2005  <guibo@node21.guibland.com> 2.6.9-2mdk
- fix requires

* Mon Apr 11 2005 Antoine Ginis <aginies@mandriva.com> 2.6.9-1mdk
- first release
